/* ---------------------------------------
Name:     Ryan Dixon
ID:       18041192
Project:  Three Page Website

                [Variables]
----------------------------------------- */
:root {
  --color-primary: #212628;
  --color-secondary: #6a7177;
}

/* http://meyerweb.com/eric/tools/css/reset/ 
v2.0 | 20110126
License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
  display: block;
}
body {
  line-height: 1;
}
ol, ul {
  list-style: none;
}
blockquote, q {
  quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
  content: '';
  content: none;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
}

/* ---------------------------------------
          [General Styles]
----------------------------------------- */
body {
  color: var(--color-primary);
  font-family: Helvetica, Arial, sans-serif;
  font-size: 16px;
  line-height: 1.5em;
  text-align: center;
}

h1, h2, h3, h4, h5, h6 {
	font-family: Montserrat, Arial, Helvetica, sans-serif;
}

article {
  padding: 2em 0;
}

img {
  max-width: 100%
}

img {
  border: 0;
}

figure {
  margin: auto;
}

hr {
	margin-top: 3rem;
	margin-bottom: 3.5rem;
	border-width: 0;
  border-top: 1px solid #E1E1E1;
  width: 40%;
}

a {
  text-decoration: none;
}

p {
  margin-bottom: 20px;
  line-height: 30px;
}

*, *:after, *:before {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

.clear:before,
.clear:after {
  content: " ";
  display: table;
}

.clear:after {
  clear: both;
}

.clear {
  zoom: 1; /* ie 6/7 */
}

.container {
  position: relative;
  /* width: 90%; */
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 20px;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
}

.button {
	display: inline-block;
	height: 38px;
	padding: 0 30px;
	color: #555;
	text-align: center;
	font-size: 11px;
	font-weight: 600;
	line-height: 38px;
	letter-spacing: .1rem;
	text-transform: uppercase;
	text-decoration: none;
	white-space: nowrap;
	background-color: transparent;
	border-radius: 4px;
	border: 1px solid #bbb;
	cursor: pointer;
	-webkit-box-sizing: border-box;
	        box-sizing: border-box;
}

.button:hover {
	color: #333;
	border-color: #888;
	outline: 0;
}

.img-circle {
  height: 200px;
  width: 200px;
  border-radius: 50%;
}

.column {
  margin-bottom: 50px;
}

/*------------------------------------------------------------------
            [Parallax header]
*/
.city-box {
  background-attachment: fixed; /* Prevents image from moving when scrolling */
  background-image: url(../images/city-bg.jpeg);
  background-position: top center;
  background-size: cover;
  background-repeat: no-repeat;
  height: 550px;
  overflow: hidden;
  position: relative;
  z-index: 2;
}

.logo {
  color: #070707;
  text-transform: uppercase;
  height: 100px;
  width: 100%;
  position: absolute;
  top: 50%;
  margin-top: -50px;
}

.logo h1 {
  font-family: 'Montserrat', sans-serif;
  font-size: 2.5em;
  letter-spacing: 1px;
  font-weight: 900;
  margin-bottom: 1em;
  line-height: .9em;
}

.logo p {
  font-size: 1.5em;
}

.gallery-city-box { 
  height: 250px !important;
}

.gallery-city-box .logo {
  top: 60% !important;
}

.plane {
	background: url(../images/plane.png) no-repeat right bottom;
	background-size: 600px auto;
	height: 400px;
	width: 540px;
	position: absolute;
	left: 50%;
	top: 215px;
	margin-left: -300px;
}

/* ---------------------------------------
                [Navigation]
----------------------------------------- */
nav#navbar-primary {
  background: rgba(33, 38, 40, 0.6);
  position: fixed;
  width: 100%;
  -webkit-transition: all ease .5s;
  transition: all ease .5s;
  z-index: 9999;
  padding: 5px 0;
}

nav#navbar-primary .navbar {
  display: none;
}

nav#navbar-primary .navbar .navbar-items .nav-item {
	padding: 0 1em;
	border-bottom: none;
	line-height: 20px;
}

nav#navbar-primary .navbar-items .nav-item .nav-link {
  color: #fff;
  font-size: 90%;
  font-weight: 400;
  letter-spacing: 1px;
  line-height: 54px;
  text-transform: uppercase;
  display: block;
}

nav#navbar-primary .navbar-items .nav-item .nav-link.active,
nav#navbar-primary .navbar-items .nav-item .nav-link:hover,
footer a:hover {
  color: #006ac7;
}

#menu-button {
  display: block;
  cursor: pointer;
  border-radius: 4px;
  color: #fff;
  position: relative;
  padding: 7px 10px;
  float: right;
}

#menu-button .bars {
  display: inline-block;
  margin-left: 0 5px;
}

#menu-button .bar {
  display: block;
  width: 20px;
  margin-bottom: 3px;
  height: 2px;
  background-color: #fff;
  border-radius: 1px;
}

#menu-button .bar:nth-child(2) {
    width: 14px;
}

#menu-button .bar:last-child {
  margin-bottom: 0;
}

#menu-button:hover {
  background-color: rgba(216, 216, 216, 0.4);
  border-color: #f3f3f3;
  border-radius: 4px;
}

/* Hide checkbox */
#navbar-primary input[type=checkbox] {
  display: none;
  -webkit-appearance: none;
}

/* Show menu when invisible checkbox is checked */
#navbar-primary input[type=checkbox]:checked ~ .navbar {
  display: block;
  height: auto;
}

/* ---------------------------------------
                [Content]
----------------------------------------- */
.content {
  background: #fff;
  padding: 100px 0;
  position: relative;
  z-index: 1;
  margin-bottom: 200px;
  overflow: hidden;
}

.content div h2 {
  font-size: 2em;
  text-transform: uppercase;
}

.action {
  margin-bottom: 75px;
}

.action p {
  max-width: 640px; 
  text-align: center;
  margin: 20px auto;
}

div#services { 
  padding: 50px 0;
}

div#services .service-heading {
  margin: 15px 0;
  text-transform: none;
  font-weight: 700;
}

/* ---------------------------------------
          [Gallery]
----------------------------------------- */
.gallery-title {
  margin-bottom: 2em;
}

.gallery {
  display: grid;
  grid-gap: 5px;
  grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
  grid-auto-rows: 75px;
  grid-auto-flow: dense;
}

.gallery > div {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  font-size: 2em;
  color: #ffeead;
  overflow: hidden;
}

.gallery > div a {
  width: 100%;
  height: 100%; 
}

.gallery > div img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}

.gallery > div:hover img {
  -webkit-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
  -webkit-transform: scale(1.2);
          transform: scale(1.2);
}

.horizontal {
  grid-column: span 2;
}

.vertical {
  grid-row: span 2;
}

.big {
  grid-column: span 2;
  grid-row: span 2;
}

.facts {
  text-align: left;
  list-style: initial;
}

.facts li {
  padding: .8em 0;
}

/*------------------------------------------------------------------
            [Footer]
*/
footer {
  background: rgb(33, 38, 40);
  color: #fff;
  padding: 60px 0;
  position: fixed;
  bottom: 0;
  width: 100%;
}

.footer-stuff {
  max-width: 640px;
  margin: 0 auto;
}

footer a {
  color: #fff;
}

footer div a+hr {
  margin: 1rem auto;
}

/*------------------------------------------------------------------
[Mobile First Media Queries]
*/

/* Custom, iPhone Retina */ 
@media only screen and (min-width : 320px) {

}

/* Extra Small Devices, Phones */ 
@media only screen and (min-width : 480px) {
  
  /* ---------------------------------------
            [Navigation]
  ----------------------------------------- */
  .navbar-items .nav-item {
      display: inline-block;
  }
}

/* Small Devices, Tablets */
@media only screen and (min-width : 768px) {
  /* ---------------------------------------
            [Header]
  ----------------------------------------- */
  .city-box {
    height: 550px;
  }
  
  .plane {
    background-size: 600px auto;
    height: 400px;
    width: 950px;
    top: 200px;
    margin-left: -580px;
  }

  /* ---------------------------------------
            [Navigation]
  ----------------------------------------- */
  #menu-button {
    display: none;
  }
  
  nav#navbar-primary .navbar {
    display: block;
    float: left;
  }
}

/* Medium Devices, Desktops */
@media only screen and (min-width : 992px) {
  /* ---------------------------------------
            [General styles]
  ----------------------------------------- */
  .column {
    width: 33.33%;
    float: left;
    padding: 0 15px;
    margin-bottom: 5px;
  }
  
  /* ---------------------------------------
            [Header]
  ----------------------------------------- */
  .plane {
    background-size: initial;
    height: 400px;
    width: 950px;
    top: 270px;
    margin-left: -215px;
  }
}

/* Large Devices, Wide Screens */
@media only screen and (min-width : 1200px) {

}